FROM ubuntu:focal
ENV container docker
ENV LC_ALL C
ENV DEBIAN_FRONTEND noninteractive
RUN apt-get update && DEBIAN_FRONTEND=noninteractive  apt-get -y install sudo
RUN adduser -u 1001  --disabled-password --gecos '' tpr \
        && echo "tpr    ALL=(ALL)       NOPASSWD: ALL" > /etc/sudoers.d/tpr  \
        && sh -c 'echo "tpr:tpr"  | chpasswd '

RUN apt-get update \
    && apt-get install -y systemd systemd-sysv \
    && apt-get clean \
    && rm -rf /var/lib/apt/lists/* /tmp/* /var/tmp/*

RUN apt-get update && DEBIAN_FRONTEND=noninteractive  apt-get -y install \
        xfce4 \
        wget  \
     dbus-x11 \
      psmisc \
      xdg-utils \
      x11-xserver-utils \
      x11-utils && \
    env DEBIAN_FRONTEND=noninteractive apt-get install -y --no-install-recommends \
      xfce4  \
      libxv1 \
      mesa-utils \
      mesa-utils-extra \
      lightdm \
      lightdm-gtk-greeter \
      xubuntu-desktop^
RUN apt-get -y install vim
RUN apt-get install -y at-spi2-core 
RUN apt-get install -y minicom procps iputils-ping dialog apt-utils libgl1-mesa-glx iproute2
#VOLUME [ "/sys/fs/cgroup" ]
RUN apt-get update && apt-get install  -y keepassxc
RUN wget https://dl.google.com/linux/direct/google-chrome-stable_current_amd64.deb && apt install ./google-chrome-stable_current_amd64.deb
#RUN apt-get install -y minicom procps iputils-ping dialog apt-utils qt-at-spi qt at spi n existe plus en ubuntu 20  mais demande libgl1-mesa-glx
#REMOVE NEXT COPY
RUN  	dpkg-preconfigure /tmp/PacketTracer_731_amd64.deb \
	&& sh -c 'echo debconf   PacketTracer_731_amd64/show-eula seen true | sudo debconf-set-selections' \
	&& sh -c 'echo debconf   PacketTracer_731_amd64/accept-eula select true | sudo debconf-set-selections' \
 	&& dpkg -i /tmp/PacketTracer_731_amd64.deb \
	&& cp /opt/pt/bin/Cisco-PacketTracer.desktop /usr/share/applications
#COPY org.freedesktop.login1.policy /usr/share/polkit-1/actions/org.freedesktop.login1.policy
#je ne sais pas si le kwallet est utile
#RUN apt-get install -y at-spi2-core libpam-kwallet5 libkf5wallet-dev libpam-kwallet4
STOPSIGNAL SIGRTMIN+3
COPY lightdm.conf /etc/lightdm/lightdm.conf
COPY lightdm-gtk-greeter.conf /etc/lightdm/lightdm-gtk-greeter.conf
COPY dpt.jpg /usr/share/pixmaps/dpt.jpg
COPY  PacketTracer_731_amd64.deb /tmp/PacketTracer_731_amd64.deb
COPY org.xfce.session.policy /usr/share/polkit-1/actions/org.xfce.session.policy
COPY systemd-logind.override.conf /etc/systemd/system/systemd-logind.service.d/override.conf
COPY org.freedesktop.color.policy /usr/share/polkit-1/actions/org.freedesktop.color.policy
#logind does not start
RUN systemctl disable blueman-mechanism
RUN systemctl disable NetworkManager.service                                    
RUN systemctl disable networkd-dispatcher.service                                    
RUN systemctl disable NetworkManager-wait-online.service                                    
RUN systemctl disable network-manager.service ; systemctl disable systemd-tmpfiles-setup.service                                   
RUN systemctl disable snapd.seeded.service; systemctl disable systemd-logind.service
RUN systemctl enable systemd-logind.service
#USER tpr
#COPY tpr /home/tpr/

#COPY here /home/tpr/

#apt-get install --reinstall xserver-xorg-video-intel xserver-xorg-core
CMD ["/lib/systemd/systemd"]
